<?php namespace App\ViewModels\Raca\RacaDetailsViewModel;

use App\Utils\Entity;

class RacaDetailsViewModel extends Entity
{
    protected $id;
    protected $nome;
    protected $id_especie;
    protected $especie;

    public static function builder() : RacaDetailsViewModelBuilder
    {
        return (new RacaDetailsViewModelBuilder);
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome): void
    {
        $this->nome = $nome;
    }

    /**
     * @return mixed
     */
    public function getIdEspecie()
    {
        return $this->id_especie;
    }

    /**
     * @param mixed $id_especie
     */
    public function setIdEspecie($id_especie): void
    {
        $this->id_especie = $id_especie;
    }

    public function getEspecie()
    {
        return $this->especie;
    }

    public function setEspecie($especie): void
    {
        $this->especie = $especie;
    }
}
